/**
*.Name         ems_stat
*.Title        Определение состояния драйвера EMS
*
*.Descr        Эта функция возвращает байт состояния
*              драйвера EMS
*
*.Proto        int ems_stat(void);
*
*.Params       Не используются
*
*.Return       Байт состояния драйвера EMS
*
*.Sample       ems_test.c
**/

#include <stdio.h>
#include <dos.h>
#include "sysp.h"

int ems_stat(void) {

	union REGS reg;

	reg.x.ax = 0x4000;
	int86(0x67, &reg, &reg);
	return(reg.h.ah);
}

